<?php include 'sesion.php'; $n  = 0;?><!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Cargar CSV</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
</head>
<body>
  

    
    
    <div class="container mt-5">
        
        <h1>Cargar Archivo CSV</h1>
        
        
         <h2>Importar Archivo al Sistema</h2>

<p><strong>¡MUY IMPORTANTE!</strong></p>

<p>Para que la importación funcione correctamente, el archivo debe estar en <strong>formato CSV</strong> y debe tener <strong>4 columnas</strong> dispuestas en este orden:</p>

<ol>
  <li>Columna 1: Código de barras (barcode)</li>
  <li>Columna 2: Nombre</li>
  <li>Columna 3: Precio</li>
  <li>Columna 4: Stock</li>
</ol>

<p><strong>¡MUY IMPORTANTE!</strong></p>

<p>Este método no borra ningun articulo ya cargado, simplemente suma los articulos que no estén en la base de datos.</p>


<img class="img-fluid" src="http://sistemastock.com/Captura%20de%20pantalla%20-2023-09-27%2019-26-02.png">
<p>Puedes visualizar un video tutorial sobre cómo utilizarlo <a href="https://youtu.be/0acJermLXIM" target="_blank">aquí</a>.</p>

        <form action="" method="post" enctype="multipart/form-data">
            <div class="form-group">
                <label for="csvFile">Selecciona un archivo CSV:</label>
                <input type="file" class="form-control-file" id="csvFile" name="csvFile" accept=".csv">
            </div>
            <button type="submit" class="btn btn-primary" name="submit">Cargar</button>
        </form>
    </div>
<?php
if(isset($_POST['submit'])) {
    if(isset($_FILES['csvFile']['name'])) {
        $file = $_FILES['csvFile']['tmp_name'];
        $handle = fopen($file, "r");
        
        echo '<div class="container mt-5">';
        echo '<h2>Primeros 10 Registros:</h2>';
        echo '<table class="table">';
        echo '<thead><tr><th>Barcode</th><th>Título</th><th>Precio</th><th>Stock</th></tr></thead>';
        echo '<tbody>';
        
        $n = 0; // Inicializar contador
        $maxToShow = 10; // Número máximo de registros a mostrar
        
        while ($row = fgetcsv($handle)) {
            if ($n < $maxToShow) {
                echo '<tr>';
                echo '<td>'.$row[0].'</td>';
                echo '<td>'.$row[1].'</td>';
                echo '<td>'.$row[2].'</td>';
                echo '<td>'.$row[3].'</td>';
                echo '</tr>';
            }

            // Insertar en la base de datos
            $barcode = $row[0];
            $titulo = $row[1];
            $precio = $row[2];
            $stock = (int)$row[3];
            
            $n = $n + 1;

            $sSQL="INSERT INTO `articulos` (`ID`, `titulo`, `foto`, `proveedor`, `precio`, `barcode`, `url`, `stock`, `brand`, `cat`, `es`, `precio_costo`, `precio_manana`, `precio_tarde`, `precio_noche`, `cigarrillo`, `limite`) VALUES (NULL, '$titulo', '', '0', '$precio', '$barcode', '', '$stock', '1', '', '', '', '', '', '', '0', '0');";
            mysql_db_query("$basedatos",$sSQL);
        }
        
        echo '</tbody></table></div>';
        fclose($handle);
    }
    
    ?><br>

    <h2>Se cargaron <?php echo $n ?> productos</h2>
    <?php
}
?>



    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>
